//-----------------------------------------------------------------------------
// Torque Game Engine
// Copyright (C) GarageGames.com, Inc.
//-----------------------------------------------------------------------------

// Channel assignments (channel 0 is unused in-game).

// Music is on channel one, sound fx on channel two through eight
// Keeping the names for legacy reasons
$GuiAudioType = 1;
$UIAudioType  = 2;
$SimAudioType = 3;

//DESCRIPTIONS//////////////////////////////////////////////////////////////////
new AudioDescription(AudioGui)
{
   volume   = 1.0;
   isLooping= false;
   is3D     = false;
   type     = $GuiAudioType;
};

new AudioDescription(AudioUI)
{
   volume   = 1.0;
   isLooping= false;
   is3D     = false;
   type     = $UIAudioType;
};

new AudioDescription(AudioSlider)
{
   volume   = 1.0;
   isLooping= false;
   is3D     = false;
   type     = $UIAudioType;
};

//MENU SOUNDS///////////////////////////////////////////////////////////////////
new AudioProfile(AudioButtonCow)
{
   filename = "~/data/sound/misc/animal_cow_select.ogg";
   description = "AudioUI";
	preload = false;
};
new AudioProfile(AudioButtonPig)
{
   filename = "~/data/sound/misc/animal_pig_select.ogg";
   description = "AudioUI";
	preload = false;
};
new AudioProfile(AudioButtonChicken)
{
   filename = "~/data/sound/misc/animal_chicken_select.ogg";
   description = "AudioUI";
	preload = false;
};
new AudioProfile(AudioButtonSheep)
{
   filename = "~/data/sound/misc/animal_sheep_idle.ogg";
   description = "AudioUI";
	preload = false;
};
new AudioProfile(AudioButtonWhistle)
{
   filename = "~/data/sound/misc/whistle.ogg";
   description = "AudioUI";
	preload = false;
};
new AudioProfile(AudioButtonBuyItem)
{
   filename = "~/data/sound/misc/item_buy.ogg";
   description = "AudioUI";
	preload = false;
};
new AudioProfile(AudioButtonSellItem)
{
   filename = "~/data/sound/misc/item_sell.ogg";
   description = "AudioUI";
	preload = false;
};

new AudioProfile(AudioButtonOverMenu)
{
   filename = "~/data/sound/ui/menu_button0_highlight.ogg";
   description = "AudioUI";
	preload = false;
};

new AudioProfile(AudioButtonDownMenu)
{
   filename = "~/data/sound/ui/menu_button0_click.ogg";
   description = "AudioUI";
	preload = false;
};

new AudioProfile(AudioButtonOverGame)
{
   filename = "~/data/sound/ui/menu_button1_highlight.ogg";
   description = "AudioUI";
	preload = false;
};

new AudioProfile(AudioButtonDownGame)
{
   filename = "~/data/sound/ui/menu_button1_click.ogg";
   description = "AudioUI";
	preload = false;
};

new AudioProfile(AudioLoadComplete)
{
   filename = "~/data/sound/ui/menu_load_complete.ogg";
   description = "AudioUI";
	preload = false;
};

new AudioProfile(AudioDialogPopup)
{
   filename = "~/data/sound/ui/menu_popup.ogg";
   description = "AudioUI";
	preload = false;
};

new AudioProfile(AudioButtonDownGeneric)
{
   filename = "~/data/sound/ui/menu_select.ogg";
   description = "AudioUI";
	preload = false;
};

new AudioProfile(AudioButtonSlider)
{
   filename = "~/data/sound/ui/menu_slider.ogg";
   description = "AudioSlider";
	preload = false;
};

new AudioProfile(AudioSandlotJingle)
{
   filename = "~/data/sound/music/music_sandlotgames.ogg";
   description = "AudioGui";
	preload = true;
};
